/*
 *   IgniteServ, include/flood.h
 *   Copyright (C) 2005 by those in Authors file
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef INCLUDED_flood_h
#define INCLUDED_flood_h

#ifndef INCLUDED_sys_types_h
#include <sys/types.h>         /* time_t */
#define INCLUDED_sys_types_h
#endif

#ifndef INCLUDED_hybdefs_h
#include "hybdefs.h"		/* USERLEN, HOSTLEN */
#define INCLUDE_hybdefs_h
#endif

#ifndef INCLUDED_config_h
#include "config.h"		/* ADVFLOOD */
#define INCLUDED_config_h
#endif

struct Luser;
struct Channel;

#ifdef ADVFLOOD
struct connectInfo
{
  char user[USERLEN];
  char host[HOSTLEN]; 
  time_t last;
  int frequency;
};
#endif /* ADVFLOOD */

/*
 * Function prototypes
 */

int FloodCheck(struct Channel *chptr, struct Luser *lptr,
               struct Luser *servptr, int kick);

#ifdef ADVFLOOD
void updateConnectTable(char *user, char *host);
#endif /* ADVFLOOD */

#endif /* INCLUDED_flood_h */
