/*
 *   IgniteServ, include/seenserv.h
 *   Copyright (C) 2005 by those in Authors file
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

/*
 * seenserv.h
 * Copyright (C) 2000 demond
 *
 */

#ifndef INCLUDED_seenserv_h
#define INCLUDED_seenserv_h

#ifndef INCLUDED_config_h
#include "config.h"        /* SEENSERVICES */
#define INCLUDED_config_h
#endif

#ifdef SEENSERVICES

struct Seen {
  struct Seen *prev, *next, *seen;
  int type;                /* 1 - QUIT, 2 - NICK */
  char nick[NICKLEN + 1];
  char *userhost, *msg;
  time_t time;
};

typedef struct Seen aSeen;

extern int seenc;
extern aSeen *seenp, *seenb; 

void es_process(char *nick, char *command);
void es_add(char *nick, char *user, char *host, char *msg, time_t time, int type);

#endif /* SEENSERVICES */

#endif /* INCLUDED_seenserv_h */
