/*
 *   IgniteServ, include/show.h
 *   Copyright (C) 2005 by those in Authors file
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef INCLUDED_show_h
#define INCLUDED_show_h

#ifndef INCLUDED_config_h
#include "config.h"        /* NICKSERVICES, CHANNELSERVICES */
#define INCLUDED_config_h
#endif

#define  SHOW_HELP        0x000001 /* -h/-? */
#define  SHOW_TOTALCOUNT  0x000002 /* -n */
#define  SHOW_FILE        0x000004 /* -f file */
#define  SHOW_DETAIL      0x000008 /* display specific nickname(s) */

/*
 * Prototypes
 */

#ifdef NICKSERVICES

void ShowNicknames(int, char **);

#ifdef CHANNELSERVICES
void ShowChannels(int, char **);
#endif /* CHANNELSERVICES */

#endif /* NICKSERVICES */

#endif /* INCLUDED_show_h */
